// Code generated by mockery v2.9.4. DO NOT EDIT.

package api

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
	data "gitlab.com/my-group322/pictures/pics-svc/internal/data"

	multipart "mime/multipart"

	resources "gitlab.com/my-group322/pictures/pics-svc/resources"
)

// MockAPI is an autogenerated mock type for the API type
type MockAPI struct {
	mock.Mock
}

// AddFriend provides a mock function with given fields: ctx, friendID
func (_m *MockAPI) AddFriend(ctx context.Context, friendID string) error {
	ret := _m.Called(ctx, friendID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, friendID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// CreateChat provides a mock function with given fields: ctx, pictureID
func (_m *MockAPI) CreateChat(ctx context.Context, pictureID int64) (*resources.ChatResponse, error) {
	ret := _m.Called(ctx, pictureID)

	var r0 *resources.ChatResponse
	if rf, ok := ret.Get(0).(func(context.Context, int64) *resources.ChatResponse); ok {
		r0 = rf(ctx, pictureID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.ChatResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, int64) error); ok {
		r1 = rf(ctx, pictureID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreateLike provides a mock function with given fields: ctx, pictureID
func (_m *MockAPI) CreateLike(ctx context.Context, pictureID int64) error {
	ret := _m.Called(ctx, pictureID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64) error); ok {
		r0 = rf(ctx, pictureID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// CreateMessage provides a mock function with given fields: ctx, request
func (_m *MockAPI) CreateMessage(ctx context.Context, request *resources.SendMessage) (string, error) {
	ret := _m.Called(ctx, request)

	var r0 string
	if rf, ok := ret.Get(0).(func(context.Context, *resources.SendMessage) string); ok {
		r0 = rf(ctx, request)
	} else {
		r0 = ret.Get(0).(string)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, *resources.SendMessage) error); ok {
		r1 = rf(ctx, request)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreatePicture provides a mock function with given fields: ctx, file, header
func (_m *MockAPI) CreatePicture(ctx context.Context, file multipart.File, header *multipart.FileHeader) (*resources.PictureResponse, error) {
	ret := _m.Called(ctx, file, header)

	var r0 *resources.PictureResponse
	if rf, ok := ret.Get(0).(func(context.Context, multipart.File, *multipart.FileHeader) *resources.PictureResponse); ok {
		r0 = rf(ctx, file, header)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.PictureResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, multipart.File, *multipart.FileHeader) error); ok {
		r1 = rf(ctx, file, header)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreateUser provides a mock function with given fields: ctx, user
func (_m *MockAPI) CreateUser(ctx context.Context, user *resources.User) error {
	ret := _m.Called(ctx, user)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *resources.User) error); ok {
		r0 = rf(ctx, user)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteFriend provides a mock function with given fields: ctx, friendID
func (_m *MockAPI) DeleteFriend(ctx context.Context, friendID string) error {
	ret := _m.Called(ctx, friendID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, friendID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeleteLike provides a mock function with given fields: ctx, pictureID
func (_m *MockAPI) DeleteLike(ctx context.Context, pictureID int64) error {
	ret := _m.Called(ctx, pictureID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64) error); ok {
		r0 = rf(ctx, pictureID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// DeletePicture provides a mock function with given fields: ctx, pictureID
func (_m *MockAPI) DeletePicture(ctx context.Context, pictureID int64) error {
	ret := _m.Called(ctx, pictureID)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64) error); ok {
		r0 = rf(ctx, pictureID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// GetChatHistory provides a mock function with given fields: ctx, params, chatID
func (_m *MockAPI) GetChatHistory(ctx context.Context, params resources.QueryParams, chatID int64) (*resources.MessageListResponse, error) {
	ret := _m.Called(ctx, params, chatID)

	var r0 *resources.MessageListResponse
	if rf, ok := ret.Get(0).(func(context.Context, resources.QueryParams, int64) *resources.MessageListResponse); ok {
		r0 = rf(ctx, params, chatID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.MessageListResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, resources.QueryParams, int64) error); ok {
		r1 = rf(ctx, params, chatID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetChatList provides a mock function with given fields: ctx, params
func (_m *MockAPI) GetChatList(ctx context.Context, params resources.QueryParams) (*resources.ChatListResponse, error) {
	ret := _m.Called(ctx, params)

	var r0 *resources.ChatListResponse
	if rf, ok := ret.Get(0).(func(context.Context, resources.QueryParams) *resources.ChatListResponse); ok {
		r0 = rf(ctx, params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.ChatListResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, resources.QueryParams) error); ok {
		r1 = rf(ctx, params)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetPicsList provides a mock function with given fields: ctx, params
func (_m *MockAPI) GetPicsList(ctx context.Context, params resources.QueryParams) ([]data.Picture, int64, error) {
	ret := _m.Called(ctx, params)

	var r0 []data.Picture
	if rf, ok := ret.Get(0).(func(context.Context, resources.QueryParams) []data.Picture); ok {
		r0 = rf(ctx, params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]data.Picture)
		}
	}

	var r1 int64
	if rf, ok := ret.Get(1).(func(context.Context, resources.QueryParams) int64); ok {
		r1 = rf(ctx, params)
	} else {
		r1 = ret.Get(1).(int64)
	}

	var r2 error
	if rf, ok := ret.Get(2).(func(context.Context, resources.QueryParams) error); ok {
		r2 = rf(ctx, params)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// GetPicture provides a mock function with given fields: ctx, pictureID
func (_m *MockAPI) GetPicture(ctx context.Context, pictureID int64) (*resources.PictureResponse, error) {
	ret := _m.Called(ctx, pictureID)

	var r0 *resources.PictureResponse
	if rf, ok := ret.Get(0).(func(context.Context, int64) *resources.PictureResponse); ok {
		r0 = rf(ctx, pictureID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.PictureResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, int64) error); ok {
		r1 = rf(ctx, pictureID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetUser provides a mock function with given fields: ctx, userID
func (_m *MockAPI) GetUser(ctx context.Context, userID string) (*resources.UserResponse, error) {
	ret := _m.Called(ctx, userID)

	var r0 *resources.UserResponse
	if rf, ok := ret.Get(0).(func(context.Context, string) *resources.UserResponse); ok {
		r0 = rf(ctx, userID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.UserResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// GetUserList provides a mock function with given fields: ctx, params
func (_m *MockAPI) GetUserList(ctx context.Context, params resources.QueryParams) (*resources.UserListResponse, error) {
	ret := _m.Called(ctx, params)

	var r0 *resources.UserListResponse
	if rf, ok := ret.Get(0).(func(context.Context, resources.QueryParams) *resources.UserListResponse); ok {
		r0 = rf(ctx, params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.UserListResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, resources.QueryParams) error); ok {
		r1 = rf(ctx, params)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdateAvatar provides a mock function with given fields: ctx, file, header, userID
func (_m *MockAPI) UpdateAvatar(ctx context.Context, file multipart.File, header *multipart.FileHeader, userID string) (*resources.PictureResponse, error) {
	ret := _m.Called(ctx, file, header, userID)

	var r0 *resources.PictureResponse
	if rf, ok := ret.Get(0).(func(context.Context, multipart.File, *multipart.FileHeader, string) *resources.PictureResponse); ok {
		r0 = rf(ctx, file, header, userID)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*resources.PictureResponse)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(context.Context, multipart.File, *multipart.FileHeader, string) error); ok {
		r1 = rf(ctx, file, header, userID)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// UpdatePicture provides a mock function with given fields: ctx, pictureID, reqPicture
func (_m *MockAPI) UpdatePicture(ctx context.Context, pictureID int64, reqPicture *resources.Picture) error {
	ret := _m.Called(ctx, pictureID, reqPicture)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64, *resources.Picture) error); ok {
		r0 = rf(ctx, pictureID, reqPicture)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdatePictureSuspended provides a mock function with given fields: ctx, pictureID, isSuspended
func (_m *MockAPI) UpdatePictureSuspended(ctx context.Context, pictureID int64, isSuspended bool) error {
	ret := _m.Called(ctx, pictureID, isSuspended)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, int64, bool) error); ok {
		r0 = rf(ctx, pictureID, isSuspended)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// UpdateProfile provides a mock function with given fields: ctx, userID, reqUser
func (_m *MockAPI) UpdateProfile(ctx context.Context, userID string, reqUser *resources.User) error {
	ret := _m.Called(ctx, userID, reqUser)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, *resources.User) error); ok {
		r0 = rf(ctx, userID, reqUser)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
